Bug 683639

Summary: Unable to update system-yum updating produced an error and wanted it reported to bugzilla
Product: Red Hat Enterprise Linux 5 Reporter: Jim Roland, RHCE <jroland>
Component: yumAssignee: packaging-team-maint
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: high Docs Contact:
Priority: unspecified    
Version: 5.5CC: james.antill
Target Milestone: rc   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-14 15:31:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jim Roland, RHCE 2011-03-09 17:09:16 EST
Description of problem:
Unable to update via yum, stops after download at rpm_check_debug vs depsolve

Version-Release number of selected component (if applicable):
yum-3.2.22-26.el5_5.1

How reproducible:
Each time yum update is run (with or without -y)

Steps to Reproduce:
1. yum update or yum -y update
2.
3.
  
Actual results:
Output truncated above
 xulrunner               i386   1.9.2.14-4.el5_6     rhel-x86_64-server-5  12 M
 xulrunner               x86_64 1.9.2.14-4.el5_6     rhel-x86_64-server-5  11 M
 yum                     noarch 3.2.22-33.el5        rhel-x86_64-server-5 1.0 M
 yum-rhn-plugin          noarch 0.5.4-17.el5_6.1     rhel-x86_64-server-5  59 k
 zsh                     x86_64 4.2.6-5.el5          rhel-x86_64-server-5 1.8 M
Removing:
 kernel                  x86_64 2.6.18-92.el5        installed             79 M
 kernel-devel            x86_64 2.6.18-92.el5        installed             15 M
 kernel-xen              x86_64 2.6.18-92.el5        installed             80 M
Installing for dependencies:
 PyQt                    x86_64 3.16-4               rhel-x86_64-server-5 2.2 M
 hplip                   x86_64 1.6.7-6.el5_6.1      rhel-x86_64-server-5 7.8 M
 iscsi-initiator-utils   x86_64 6.2.0.872-6.el5      rhel-x86_64-server-5 988 k
 python-libs             x86_64 2.4.3-43.el5         rhel-x86_64-server-5 6.0 M
 sip                     x86_64 4.4.5-3              rhel-x86_64-server-5 222 k

Transaction Summary
================================================================================
Install       8 Package(s)
Upgrade     230 Package(s)
Remove        3 Package(s)
Reinstall     0 Package(s)
Downgrade     0 Package(s)

Total size: 497 M
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-64.el5_2.1.x86_64
xen-libs is needed by (installed) xen-3.0.3-64.el5_2.1.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?pro                                                                             duct=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
[root@testweb-rh ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.5 (Tikanga)


Expected results:
expected yum to begin rpm installation.

Additional info:
Comment 1 James Antill 2011-03-10 09:32:27 EST
 If you run:

rpm -Va --nofiles --nodigest

...I think you'll find that the xen-libs problem is preexisting, which is why yum doesn't see it.